quorum/install.sh

51 lines
1.1 KiB
Bash
Raw Normal View History

2014-06-26 14:04:46 -07:00
#!/bin/sh
if [ "$1" == "" ]; then
echo "Usage $0 executable ethereum branch develop"
echo "executable ethereum or mist"
2014-06-26 14:04:46 -07:00
echo "branch develop or master"
exit
fi
exe=$1
branch=$2
# Test if go is installed
command -v go >/dev/null 2>&1 || { echo >&2 "Unable to find 'go'. This script requires go."; exit 1; }
# Test if $GOPATH is set
if [ "$GOPATH" == "" ]; then
echo "\$GOPATH not set"
exit
fi
echo "go get -u -d github.com/ethereum/go-ethereum/cmd/$exe"
go get -v -u -d github.com/ethereum/go-ethereum/cmd/$exe
2014-06-26 14:04:46 -07:00
if [ $? != 0 ]; then
echo "go get failed"
exit
fi
2014-06-26 14:07:20 -07:00
echo "eth-go"
cd $GOPATH/src/github.com/ethereum/go-ethereum
2014-06-26 14:04:46 -07:00
git checkout $branch
2014-06-26 14:07:20 -07:00
echo "go-ethereum"
cd $GOPATH/src/github.com/ethereum/go-ethereum/cmd/$exe
2014-06-26 14:04:46 -07:00
git checkout $branch
if [ "$exe" == "mist" ]; then
echo "Building Mist GUI. Assuming Qt is installed. If this step"
2014-06-26 14:04:46 -07:00
echo "fails; please refer to: https://github.com/ethereum/go-ethereum/wiki/Building-Ethereum(Go)"
else
echo "Building ethereum CLI."
fi
go install
2014-06-26 14:31:07 -07:00
if [ $? == 0 ]; then
echo "go install failed"
exit
fi
2014-06-26 14:04:46 -07:00
2014-06-26 14:06:04 -07:00
echo "done. Please run $exe :-)"